VTK: vtkVolumeTexture::VolumeBlock Struct Reference

| VTK 9.3.1

Public Member Functions | Public Attributes | List of all members
vtkVolumeTexture::VolumeBlock Struct Reference

`#include <vtkVolumeTexture.h>`

Collaboration diagram for vtkVolumeTexture::VolumeBlock:
[legend]

## Public Member Functions
| VolumeBlock (vtkDataSet *dataset, vtkTextureObject *tex, Size3 const &texSize)

## Public Attributes
vtkDataSet * | DataSet
vtkTextureObject * | TextureObject
Size3 | TextureSize
vtkIdType | TupleIndex
vtkNew< vtkMatrix4x4 > | TextureToDataset
vtkNew< vtkMatrix4x4 > | TextureToDatasetInv
float | CellStep [3]
double | DatasetStepSize [3]
double | LoadedBounds [6]
| LoadedBounds are corrected for cell-data (if that is the case). More...
double | LoadedBoundsAA [6]
double | VolumeGeometry [24]
int | Extents [6]

## Detailed Description

Definition at line 83 of file vtkVolumeTexture.h.

## Constructor & Destructor Documentation

## ◆ VolumeBlock()

vtkVolumeTexture::VolumeBlock::VolumeBlock | ( | vtkDataSet * | dataset,
|  | vtkTextureObject * | tex,
|  | Size3 const & | texSize
| ) |  |
| inline

Definition at line 85 of file vtkVolumeTexture.h.

## Member Data Documentation

## ◆ DataSet

vtkDataSet* vtkVolumeTexture::VolumeBlock::DataSet

Definition at line 101 of file vtkVolumeTexture.h.

## ◆ TextureObject

vtkTextureObject* vtkVolumeTexture::VolumeBlock::TextureObject

Definition at line 102 of file vtkVolumeTexture.h.

## ◆ TextureSize

Size3 vtkVolumeTexture::VolumeBlock::TextureSize

Definition at line 103 of file vtkVolumeTexture.h.

## ◆ TupleIndex

vtkIdType vtkVolumeTexture::VolumeBlock::TupleIndex

Definition at line 104 of file vtkVolumeTexture.h.

## ◆ TextureToDataset

vtkNew<vtkMatrix4x4> vtkVolumeTexture::VolumeBlock::TextureToDataset

Definition at line 105 of file vtkVolumeTexture.h.

## ◆ TextureToDatasetInv

vtkNew<vtkMatrix4x4> vtkVolumeTexture::VolumeBlock::TextureToDatasetInv

Definition at line 106 of file vtkVolumeTexture.h.

## ◆ CellStep

float vtkVolumeTexture::VolumeBlock::CellStep[3]

Definition at line 108 of file vtkVolumeTexture.h.

## ◆ DatasetStepSize

double vtkVolumeTexture::VolumeBlock::DatasetStepSize[3]

Definition at line 109 of file vtkVolumeTexture.h.

## ◆ LoadedBounds

double vtkVolumeTexture::VolumeBlock::LoadedBounds[6]

LoadedBounds are corrected for cell-data (if that is the case).

So they are not equivalent to vtkDataSet::GetBounds().

Definition at line 115 of file vtkVolumeTexture.h.

## ◆ LoadedBoundsAA

double vtkVolumeTexture::VolumeBlock::LoadedBoundsAA[6]

Definition at line 116 of file vtkVolumeTexture.h.

## ◆ VolumeGeometry

double vtkVolumeTexture::VolumeBlock::VolumeGeometry[24]

Definition at line 117 of file vtkVolumeTexture.h.

## ◆ Extents

int vtkVolumeTexture::VolumeBlock::Extents[6]

Definition at line 118 of file vtkVolumeTexture.h.

The documentation for this struct was generated from the following file:

- Rendering/VolumeOpenGL2/vtkVolumeTexture.h